'
' Example script for 2BrightSparks SyncBackPro that removes the
' NTFS encryption from the copy of a file.
'
' SBLang=VBScript
'
' http://www.2BrightSparks.com/
'

'
' This is a runtime script 
'
Function Description(ScriptType)
  Description = "Removes the NTFS encryption from the copy of a file"
  ScriptType = 2
End Function

'
' This function unencrypts the copy of a file.
'
' Note this function is not called if it is a simulation.
'
Sub RunAfterCopyFile(ToLeft, Filename, Failed)
  ' If the copy failed then dont even try
  If Failed then
    SBRunning.DebugOut Filename, "Failed", 1
    Exit Sub
  End If

  ' Get the full filename
  If ToLeft then
    FullName = SBRunning.LeftFolder & Filename
  Else
    FullName = SBRunning.RightFolder & Filename
  End If

  ' Decrypt it
  ErrMsg = SBSystem.DecryptFile(FullName)
  if ErrMsg <> "" then
    SBRunning.NotCriticalError Filename, "Could not decrypt: " & ErrMsg
  End If
End Sub
